Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.url
Class UrlFileObject

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileObject
          org.apache.commons.vfs.provider.url.UrlFileObject

All Implemented Interfaces:
  FileObject

public class UrlFileObject
extends AbstractFileObject
implements FileObject

A `FileObject` implementation backed by a `URL`.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`protected` | `UrlFileObject(UrlFileSystem fs, FileName fileName)`

Method Summary
`protected URL` | `createURL(FileName name)`
`protected void` | `doAttach()` Attaches this file object to its file resource.
`protected long` | `doGetContentSize()` Returns the size of the file content (in bytes).
`protected InputStream` | `doGetInputStream()` Creates an input stream to read the file content from.
`protected long` | `doGetLastModifiedTime()` Returns the last modified time of this file.
`protected FileType` | `doGetType()` Determines the type of the file.
`protected String[]` | `doListChildren()` Lists the children of the file.

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileObject
`canRenameTo, childrenChanged, childrenChanged, close, copyFrom, createFile, createFolder, delete, delete, doCreateFolder, doDelete, doDetach, doGetAttributes, doGetCertificates, doGetOutputStream, doGetRandomAccessContent, doIsHidden, doIsReadable, doIsSameFile, doIsWriteable, doListChildrenResolved, doRename, doSetAttribute, doSetLastModifiedTime, endOutput, exists, finalize, findFiles, findFiles, getChild, getChildren, getContent, getFileContentInfoFactory, getFileOperations, getFileSystem, getInputStream, getName, getOutputStream, getOutputStream, getParent, getRandomAccessContent, getType, getURL, handleChanged, handleCreate, handleDelete, holdObject, injectType, isAttached, isContentOpen, isHidden, isReadable, isSameFile, isWriteable, moveTo, notifyAllStreamsClosed, onChange, onChildrenChanged, refresh, resolveFile, resolveFile, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.FileObject
`canRenameTo, close, copyFrom, createFile, createFolder, delete, delete, exists, findFiles, findFiles, getChild, getChildren, getContent, getFileOperations, getFileSystem, getName, getParent, getType, getURL, isAttached, isContentOpen, isHidden, isReadable, isWriteable, moveTo, refresh, resolveFile, resolveFile`

Constructor Detail

### UrlFileObject

    protected UrlFileObject(UrlFileSystem fs,
                            FileName fileName)

Method Detail

### doAttach

    protected void doAttach()
                     throws Exception

  Attaches this file object to its file resource. This method is called before any of the doBlah() or onBlah() methods. Sub-classes can use this method to perform lazy initialisation.

  Overrides:
    `doAttach` in class `AbstractFileObject`
  Throws:
    `Exception`

### createURL

    protected URL createURL(FileName name)
                     throws MalformedURLException,
                            FileSystemException,
                            org.apache.commons.httpclient.URIException

  Throws:
    `MalformedURLException`
    `FileSystemException`
    `org.apache.commons.httpclient.URIException`

### doGetType

    protected FileType doGetType()
                          throws Exception

  Determines the type of the file.

  Specified by:
    `doGetType` in class `AbstractFileObject`
  Throws:
    `Exception`

### doGetContentSize

    protected long doGetContentSize()
                             throws Exception

  Returns the size of the file content (in bytes).

  Specified by:
    `doGetContentSize` in class `AbstractFileObject`
  Throws:
    `Exception`

### doGetLastModifiedTime

    protected long doGetLastModifiedTime()
                                  throws Exception

  Returns the last modified time of this file.

  Overrides:
    `doGetLastModifiedTime` in class `AbstractFileObject`
  Throws:
    `Exception`

### doListChildren

    protected String[] doListChildren()
                               throws Exception

  Lists the children of the file.

  Specified by:
    `doListChildren` in class `AbstractFileObject`
  Throws:
    `Exception`

### doGetInputStream

    protected InputStream doGetInputStream()
                                    throws Exception

  Creates an input stream to read the file content from.

  Specified by:
    `doGetInputStream` in class `AbstractFileObject`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.